## rsnapshot 1.4.3

=== docs/docbook/Makefile ===
x := rsnapshot-HOWTO.en
xsldir := /usr/share/xml/docbook/stylesheet/nwalsh

## dependencies
all: $x.xhtml
all: $x.pdf
all: $x.info

## xsltproc / fop rules
%.xhtml: %.xml
	xsltproc $(xsldir)/xhtml/docbook.xsl '$<' >'$@'
%.fo: %.xml
	xsltproc $(xsldir)/fo/docbook.xsl '$<' >'$@'
%.pdf: %.fo
	fop -fo '$<' -pdf '$@'
%.txml: %.xml
	db2x_xsltproc -s texi '$<' -o '$@'
%.texi: %.txml
	db2x_texixml '$<'
%.info: %.texi
	makeinfo '$<'

### phony rules
clean:
	rm -f *~
	bash -c 'set -ex && rm -f *.{aux,cp,fn,ky,log,pg,toc,tp,vr,refs,txml,fo}'
distclean: clean
	bash -c 'set -ex && rm -f *.{texi,info,pdf,xhtml,html}'
test:
	xmllint --xinclude --valid --postvalid --noout $x.xml
.PHONY: all clean distclean test

## rsnapshot 1.3.1

=== debian/changelog ===
rsnapshot (1.3.1-4ubuntu0.1) trusty; urgency=medium

  * debian/patches/14_rsync_rsh_quoting.diff: remove quoting on the
    --rsh arguments to rsync due to the different way rsync is invoked
    via system() in 1.3.1-4 (LP: #1309710)

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 18 Apr 2014 12:26:43 -0700

rsnapshot (1.3.1-4) unstable; urgency=low

  * debian/patches/01_rsnapshot_conf: Refresh patch to fix path of rsnapshot in
    manpage, thanks Simon Kainz (Closes: #661673)
  * debian/patches/08_manpage_hourly_to_daily: Don't patch rsnapshot.1 (as it
    is automatically generated)
  * debian/patches/10_space_destdir: Completely refresh with upstream fix
    (Closes: #662636)
  * debian/patches/11_lvm_snapshots: Don't patch Makefile.in (as it is
    automatically generated at build time)
  * debian/patches/12_include_conf_with_arguments: Cherry-pick upstream
    backtick check in include_conf (Closes: #653285)
  * debian/rules: Backup/restore autogenerated upstream file Makefile.in
  * debian/copyright: Update format to DEP5
  * debian/control: Bump Standards-Version 3.9.4 (no changes needed)
  * Rename all patch extensions with .diff and document each header
    according DEP3 and change Vcs-Browse and Vcs-Git,
    point to anonscm.debian.org
  * debian/patches/13_print_warn: missing WARNING prefix in log files
    thanks Nicolas Courtel (Closes: #688790)
  * debian/docs: Remove docs/HOWTOs/rsnapshot-HOWTO.en.html, as it was already
    in debian/doc-base

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 30 Jun 2013 22:38:18 +0200

rsnapshot (1.3.1-3) unstable; urgency=low

  * debian/patches/01_rsnapshot_conf:
    + Remove one tab for alignment in retain
    + Uncomment cmd_cp to enable use of GNU cp (Closes: #617509)
    + Add stop_on_stale_lockfile option (Closes: #629309)
    + Refresh comments
  * debian/control:
    + Bump Standards-Version 3.9.2 (no changes needed)
    + Align Build-Depends-Indep

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 22 Jun 2011 22:08:45 +0200

rsnapshot (1.3.1-2) unstable; urgency=low

  * Reorganize patches:
    Merge 02_default_rsnapshot_conf_manpage and 04_default_backup_dir
      to 01_logfile_rsnapshot_conf, renamed 01_rsnapshot_conf
  * Refresh debian/patches/01_rsnapshot_conf:
    + Change commented path to rsnapshot-diff (Closes: #572751)
    + Replace interval (deprecated alias) with retain
  * debian/patches/08_manpage_hourly_to_daily:
    + Add precision on weekly rotation (Closes: #573253)
  * debian/patches/11_lvm_snapshots: Prepare use of lvm snapshot (LP: #713464)
  * debian/patches/09_strip_backtick: Strip backtick in include_conf
    (Closes: #614167)
  * debian/patches/10_space_destdir: Remove backslash in destpath
    (Closes: #609443)
  * debian/control:
    + Add ssh-client as virtual alternative in Depends
    + Bump Standards-Version 3.9.1 (no changes needed)
    + Bump debhelper version to 8 (debian/compat too)
    + Add lvm2, udev and dh-autoreconf as Build-Depends-Indep
      (path detection of binaries)
  * Switch to dpkg-source 3.0 (quilt) format
    + Remove {un,}patch, quilt inclusion in debian/rules
    + Delete unnecessary debian/README.source
    + Remove Build-Depends on quilt
  * debian/rules: Change to use more recent template with debhelper 8
  * debian/manpages: Add rsnapshot.1 and rsnapshot-diff.1
  * debian/README.Debian: Delete unnecessary spaces
  * debian/docs: Remove docs/HOWTOs/rsnapshot-HOWTO.en.html
    (appears twice in /usr/share/doc/rsnapshot/{,html})
  * debian/watch: remove unnecessary default comments

 -- Guillaume Delacour <gui@iroqwa.org>  Sun, 27 Feb 2011 20:33:46 +0100

rsnapshot (1.3.1-1) unstable; urgency=low

  * New maintainer
  * New upstream release (Closes: #548966, #501992, #517657, #413439)
  * debian/control:
    - Bump Standards-Version 3.8.3.0
    - Homepage moved in extended description
    - Recommend openssh-client instead of ssh (Closes: #422262)
    - Depend on liblchown-perl (Closes: #497928)
    - Build-Depends-Indep on openssh-client, to have ssh client path in
      rsnapshot.conf at build time (Closes: #506760)
  * debian/postrm: Add "set -e" to script
  * debian/rules:
    - remove warning ignorement ("-") in clean rule, test Makefile
    - Bump debhelper compat version to 7 (dh_prep replacement)
    - Delete unnecessary commented template based rules
  * debian/copyright: Link to GPL-2
  * debian/patches/01_logfile_rsnapshot_conf:
    change commented /var/log/rsnapshot to /var/log/rsnapshot.log
    in rsnapshot.conf (Closes: #506218)
  * debian/patches/02_default_rsnapshot_conf_manpage:
    point to /usr/share/doc/rsnapshot/examples/rsnapshot.conf.default.gz
    instead of non-existent /etc/rsnapshot.conf.default file in manpage
    (Closes: #411317)
  * debian/patches/04_default_backup_dir:
    Really set /var/cache/rsnapshot as default snapshot dir
  * debian/patches/05_backup_pgsql:
    Modify backup_pgsql.sh according Debian specific (Closes: #500082)
    Thanks to Antony Gelberg
  * debian/patches/06_fix_random_file_verify:
    Fix some error on upstream example utils/random_file_verify.sh
  * Add doc-base support to html doc (Closes: #504920)
  * debian/lintian-overrides: add override on /var/cache/rsnapshot perms
    (700 instead of 755)
  * debian/README.Debian: add some explanations on rsnapshot behavior
    (Closes: #496908)

 -- Guillaume Delacour <gui@iroqwa.org>  Wed, 18 Nov 2009 00:05:53 +0000

rsnapshot (1.3.0-2) unstable; urgency=low

  * Add experimental release to unstable (Closes: #460579)

 -- MJ Ray (Debian) <mjr@debian.org>  Wed, 30 Jan 2008 19:02:48 +0000

rsnapshot (1.3.0-1) experimental; urgency=low

  * New upstream release
  * Updated README.Debian
  * Updated debian/copyright
  * Updated html/rsnapshot-howto.html with newer html/rsnapshot-HOWTO.en.html
  * Debian Policy compliance upgraded to 3.7.2.2
  * Now creates default rsnapshot_root directory with 0700 permissions instead
    of 0755


=== debian/control ===
Source: rsnapshot
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillaume Delacour <gui@iroqwa.org>
Uploaders: MJ Ray (Debian) <mjr@debian.org>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: autotools-dev, rsync, openssh-client | ssh-client,
                     lvm2, udev, dh-autoreconf
Standards-Version: 3.9.4
Homepage: http://www.rsnapshot.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/rsnapshot.git
Vcs-Git: git://anonscm.debian.org/collab-maint/rsnapshot.git

Package: rsnapshot
Architecture: all
Depends: ${perl:Depends}, rsync, logrotate, ${misc:Depends}, liblchown-perl
Recommends: openssh-client | ssh-client
Description: local and remote filesystem snapshot utility
 rsnapshot is an rsync-based filesystem snapshot utility. It can take
 incremental backups of local and remote filesystems for any number of
 machines. rsnapshot makes extensive use of hard links, so disk space is
 only used when absolutely necessary.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

UPSTREAM_AUTOCONF_GENERATED_FILES = rsnapshot.1 rsnapshot-diff.1 INSTALL \
	aclocal.m4 configure install-sh missing mkinstalldirs Makefile.in

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	# restore upstream autoconf automatically generated files
	$(foreach var,$(UPSTREAM_AUTOCONF_GENERATED_FILES), \
		[ ! -f $(var).bak ] || cp -f $(var).bak $(var);)

override_dh_autoreconf:
	# backup upstream autoconf automatically generated files
	$(foreach var,$(UPSTREAM_AUTOCONF_GENERATED_FILES), \
		cp -f $(var) $(var).bak;)
	dh_autoreconf

override_dh_install:
	dh_install
	# rename default configfile
	mv $(CURDIR)/debian/rsnapshot/etc/rsnapshot.conf.default \
	   $(CURDIR)/debian/rsnapshot/etc/rsnapshot.conf
	# lintian override on /var/cache/rsnapshot perms
	mkdir -p $(CURDIR)/debian/rsnapshot/usr/share/lintian/overrides/
	cp $(CURDIR)/debian/lintian-overrides \
	   $(CURDIR)/debian/rsnapshot/usr/share/lintian/overrides/rsnapshot
	# html doc, see debian/doc-base
	cp $(CURDIR)/docs/HOWTOs/rsnapshot-HOWTO.en.html \
	   $(CURDIR)/debian/rsnapshot/usr/share/doc/rsnapshot/html/

override_dh_installexamples:
	# Remove unnecessary extra license file, (Policy Manual section 12.5)
	dh_installexamples -X utils/rsnapshotdb/LICENSE.txt

override_dh_fixperms:
	dh_fixperms
	# Fix permissions of the default rsnapshot_root directory
	chmod 0700 $(CURDIR)/debian/rsnapshot/var/cache/rsnapshot

%:
	dh $@ --with autotools_dev --with autoreconf

=== debian/watch ===
version=3
http://www.rsnapshot.org/downloads/rsnapshot-([\d\.]*)\.tar\.gz

## rsnapshot 1.4.2

=== debian/changelog ===
rsnapshot (1.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #817071), refresh patches
  * Bump Standards-Version to 3.9.7, no changes needed
  * Use https for Vcs-Browser

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 26 Mar 2016 11:23:26 +0100

rsnapshot (1.4.1-1) unstable; urgency=medium

  * New upstream release
   + Capture rsync's output right (Closes: #794343, #794510, #793662)
   + Refresh patch 01_rsnapshot_conf.diff and document loglevel for rsync output
  * 02_rsnapshot-lvm-undef.diff: Don't undefine trap variables for lvm setups,
    thanks Michel Dänzer (Closes: #794046)
  * Enable autopkgtest

 -- Guillaume Delacour <gui@iroqwa.org>  Mon, 28 Sep 2015 23:38:43 +0200

rsnapshot (1.4.0-1) unstable; urgency=medium

  * New upstream release (Closes: #786854)
   + Retains renamed, provide helper migration script debian/rename_retains.sh
     and changes retains in debian/cron.d
   + Drop accepted or cherry picked patches:
     03_pod_missing_back.diff
     06_fix_random_file_verify.diff
     08_manpage_hourly_to_daily.diff
     09_strip_backtick.diff
     10_space_destdir.diff
     11_lvm_snapshots.diff
     12_include_conf_with_arguments.diff
     13_print_warn.diff
     14_rsync_rsh_quoting.diff
     16_configtest_manpage.diff
     17_linux_lvm_cmd_lvremove_silenced.diff
     19_cmd_postexec_umount.diff
  * Refresh debian/patches/18_rsnapreport_rsync_output.diff to remove "," in
    bytes rsync transfert output and required verbose level (Closes: #784650)
  * debian/docs: Use README.md instead of README, remove no more provided TODO

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 18 Jul 2015 14:03:05 +0000

rsnapshot (1.3.1-7) unstable; urgency=medium

  * Remove obsolete conffiles anacron scripts (Closes: #767124)
  * debian/patches/14_rsync_rsh_quoting.diff: Don't quote ssh_args arguments
    (Closes: #717451, #743310, LP: #1332753, #1400283)
  * debian/patches/16_configtest_manpage.diff: Document configtest option
    (Closes: #720509)
  * debian/patches/17_linux_lvm_cmd_lvremove_silenced.diff: lvremove is not
    silenced when using lvm, thanks Julius Seemayer (Closes: #745963),
    (LP: #1353972)
  * debian/rules: Skip compression of .pl examples files (Closes: #743777)
  * debian/patches/18_rsnapreport_rsync_output.diff: Modify regexp to parse
    rsync output that changes between 3.0.x and 3.1.x, thanks Dominik George
  * debian/patches/19_cmd_postexec_umount.diff: Allow unmounting of snapshot
    root by cmd_postexec config option, thanks Mike Gabriel (Closes: #660372)

 -- Guillaume Delacour <gui@iroqwa.org>  Mon, 11 May 2015 22:23:50 +0200

rsnapshot (1.3.1-6) unstable; urgency=medium

  * Don't provide cron and anacron scripts; provide the later as examples
    only (Closes: #766450, #766378)

 -- Guillaume Delacour <gui@iroqwa.org>  Mon, 27 Oct 2014 22:27:52 +0100

rsnapshot (1.3.1-5.1) unstable; urgency=low

  * Non-maintainer upload
  * switch to debhelper 9 compat for build hardening flags
  * Standards-Version: 3.9.6
  * set Vcs-* tags to canonical URLs
  * include run-rsnapshot as example script (Closes: #523923)
  * cron scripts run hourly/daily/etc and are compatible with anacron

  [ Guillaume Delacour ]
  * debian/patches/11_lvm_snapshots.diff: Mark as forwarded
  * debian/patches/05_backup_pgsql.diff: Fix 'could not change directory'
    warning if tmpdir not accessible by postgres user (Closes: #718189)
  * debian/patches/01_rsnapshot_conf.diff: Update patch to change the
    description of rsync_numentries option in configuration file
    (Closes: #717940)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 21 Oct 2014 14:18:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: rsnapshot
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guillaume Delacour <gui@iroqwa.org>
+Maintainer: Guillaume Delacour <gui@iroqwa.org>
 Uploaders: MJ Ray (Debian) <mjr@debian.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: autotools-dev, rsync, openssh-client | ssh-client,
                      lvm2, udev, dh-autoreconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.7
 Homepage: http://www.rsnapshot.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/rsnapshot.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/rsnapshot.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rsnapshot.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/rsnapshot.git
 
 Package: rsnapshot
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-UPSTREAM_AUTOCONF_GENERATED_FILES = rsnapshot.1 rsnapshot-diff.1 INSTALL \
-	aclocal.m4 configure install-sh missing mkinstalldirs Makefile.in
+UPSTREAM_AUTOCONF_GENERATED_FILES = \
+	aclocal.m4 configure install-sh missing Makefile.in
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) clean
@@ -41,5 +41,9 @@
 	# Fix permissions of the default rsnapshot_root directory
 	chmod 0700 $(CURDIR)/debian/rsnapshot/var/cache/rsnapshot
 
+override_dh_compress:
+	# don't compress utils examples perl files
+	dh_compress --exclude=.pl
+
 %:
 	dh $@ --with autotools_dev --with autoreconf

=== debian/tests/control ===
Tests: test.sh
Depends: @
Restrictions: needs-root

## rsnapshot 1.4.3

=== debian/changelog ===
rsnapshot (1.4.3-2) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * Remove obsolete field Name from debian/upstream/metadata.

 -- Michael Lustfield <michael@lustfield.net>  Fri, 31 Jan 2020 06:47:44 -0600

rsnapshot (1.4.3-1) unstable; urgency=medium

  * New upstream release
  * Update d/watch to point at github instead of rsnapshot.org
  * Remove merged patches:
    + patches/02_rsnapshot-lvm-undef.diff
    + patches/18_rsnapreport_rsync_output.diff
  * d/rules:
    + Update to work with source changes
    + Disable newly-added tests
  * Replace use of dpkg-maintscript-helper with maintscript
  * Drop deprecated d/compat file
  * Minor bump in Standards-Version to 4.4.1.2

 -- Michael Lustfield <michael@lustfield.net>  Wed, 04 Dec 2019 20:26:49 -0600

rsnapshot (1.4.2-2) unstable; urgency=medium

  * Adopt rsnapshot (Closes: #939427)
  * Update debian/ packaging
    + Remove references to (deprecated) alioth
    + Fix issues flagged by lintian
    + Remove inactive uploader
    + http->https
    + etc.

 -- Michael Lustfield <michael@lustfield.net>  Wed, 23 Oct 2019 02:28:48 -0500

=== debian/control ===
Source: rsnapshot
Section: utils
Priority: optional
Maintainer: Michael Lustfield <michael@lustfield.net>
Build-Depends: debhelper (>= 12), debhelper-compat (= 12)
Build-Depends-Indep: openssh-client | ssh-client, rsync, lvm2, udev
Standards-Version: 4.4.1.2
Rules-Requires-Root: no
Homepage: https://www.rsnapshot.org/
Vcs-Browser: https://github.com/Debian/rsnapshot
Vcs-Git: https://github.com/Debian/rsnapshot.git

Package: rsnapshot
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, rsync, logrotate, liblchown-perl
Recommends: openssh-client | ssh-client, cron-daemon | anacron
Description: local and remote filesystem snapshot utility
 rsnapshot is an rsync-based filesystem snapshot utility. It can take
 incremental backups of local and remote filesystems for any number of
 machines. rsnapshot makes extensive use of hard links, so disk space is
 only used when absolutely necessary.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PREFIX=/usr

%:
	dh $@

override_dh_update_autotools_config:
	./autogen.sh
	./configure

override_dh_install:
	dh_install
	# rename default configfile
	mv $(CURDIR)/debian/rsnapshot/etc/rsnapshot.conf.default \
	   $(CURDIR)/debian/rsnapshot/etc/rsnapshot.conf
	# html doc, see debian/doc-base
	cp $(CURDIR)/docs/HOWTOs/rsnapshot-HOWTO.en.html \
	   $(CURDIR)/debian/rsnapshot/usr/share/doc/rsnapshot/html/

override_dh_installexamples:
	# Remove unnecessary extra license file, (Policy Manual section 12.5)
	dh_installexamples -X utils/rsnapshotdb/LICENSE.txt

override_dh_fixperms:
	dh_fixperms
	# Fix permissions of the default rsnapshot_root directory
	chmod 0700 $(CURDIR)/debian/rsnapshot/var/cache/rsnapshot

override_dh_compress:
	# Do not compress example perl utilities
	dh_compress --exclude=.pl

override_dh_auto_test:
	# Tests require a special environment

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/rsnapshot-$1\.tar\.gz/ \
 https://github.com/rsnapshot/rsnapshot/releases .*/v?(\d\S+)\.tar\.gz

## rsnapshot 1.4.4

=== debian/changelog ===
rsnapshot (1.4.4-3) unstable; urgency=medium

  * d/rules: specify paths so merged usr build is reproducible (Closes:
    #915850).

 -- Mark Hindley <leepen@debian.org>  Sun, 17 Jul 2022 15:16:36 +0100

rsnapshot (1.4.4-2) unstable; urgency=medium

  * d/rules: specify PATH for build so unmerged usr paths are discovered
    first (Closes: #915850).
  * Enable upstream tests.
  * Downgrade logrotate dependency to recommends (Closes: #883437).
  * d/control:
     - remove redundant debhelper versioned dependency.
     - change to debhelper compat 13.
  * Run wrap-and-sort -ta.

 -- Mark Hindley <leepen@debian.org>  Fri, 24 Jun 2022 13:02:11 +0100

rsnapshot (1.4.4-1) unstable; urgency=medium

  * Take over maintenance.
  * d/watch: Fix using github recipe from uscan(1).
  * New upstream version 1.4.4.
  * Refresh quilt patches.
  * d/control:
     - bump Standards Version (no changes).
     - change Vcs-* to salsa.d.o/leepen.
  * d/rules: Remove dh_update_autotools_config override, use debhelper
    autoreconf instead.
  * Patch AC_INIT to get version from d/changelog (Closes: #934349).

 -- Mark Hindley <leepen@debian.org>  Sat, 18 Jun 2022 10:55:29 +0100

=== debian/control ===
Source: rsnapshot
Section: utils
Priority: optional
Maintainer: Mark Hindley <leepen@debian.org>
Build-Depends: debhelper-compat (= 13),
Build-Depends-Indep: lvm2,
                     openssh-client | ssh-client,
                     rsync,
                     udev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.rsnapshot.org/
Vcs-Browser: https://salsa.debian.org/leepen/rsnapshot
Vcs-Git: https://salsa.debian.org/leepen/rsnapshot.git

Package: rsnapshot
Architecture: all
Depends: liblchown-perl,
         rsync,
         ${misc:Depends},
         ${perl:Depends},
Recommends: cron-daemon | anacron,
            logrotate,
            openssh-client | ssh-client,
Description: local and remote filesystem snapshot utility
 rsnapshot is an rsync-based filesystem snapshot utility. It can take
 incremental backups of local and remote filesystems for any number of
 machines. rsnapshot makes extensive use of hard links, so disk space is
 only used when absolutely necessary.

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,12 @@
 %:
 	dh $@
 
-override_dh_update_autotools_config:
-	./autogen.sh
-	./configure
+# Specify paths to build reproducibly on merged usr systems
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		CP=/bin/cp RM=/bin/rm \
+		LVCREATE=/sbin/lvcreate LVREMOVE=/sbin/lvremove \
+		MOUNT=/bin/mount UMOUNT=/bin/umount
 
 override_dh_install:
 	dh_install
@@ -32,6 +35,3 @@
 override_dh_compress:
 	# Do not compress example perl utilities
 	dh_compress --exclude=.pl
-
-override_dh_auto_test:
-	# Tests require a special environment

## rsnapshot 1.4.5

=== debian/changelog ===
rsnapshot (1.4.5-2) unstable; urgency=medium

  * d/clean: add build generated files (Closes: #1049298).

 -- Mark Hindley <leepen@debian.org>  Tue, 22 Aug 2023 17:49:43 +0100

rsnapshot (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5
    - includes fix for parsing single character directory names
      (Closes: #1027053).
  * d/p/01_rsnapshot_conf.diff: decruft and refresh to reflect upstream
    use of @PREFIX@.
  * d/rules: restore override_dh_update_autotools_config stanza.
  * d/control: bump Standards Version (no changes).

 -- Mark Hindley <leepen@debian.org>  Tue, 27 Dec 2022 18:01:46 +0000

rsnapshot (1.4.4-4) unstable; urgency=medium

  * d/watch: use Github tags.

 -- Mark Hindley <leepen@debian.org>  Mon, 21 Nov 2022 16:54:33 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                      openssh-client | ssh-client,
                      rsync,
                      udev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.rsnapshot.org/
 Vcs-Browser: https://salsa.debian.org/leepen/rsnapshot

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,10 @@
 
 %:
 	dh $@
+
+override_dh_update_autotools_config:
+	./autogen.sh
+	./configure
 
 # Specify paths to build reproducibly on merged usr systems
 override_dh_auto_configure:

## rsnapshot 1.5.1

=== debian/changelog ===
rsnapshot (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1.
    - Includes fix for unnecessary rotation (Closes: #901156).
  * Refresh patches.
  * Replace docs/HOWTOs/rsnapshot-HOWTO.en.html doc-base integration
    (dropped upstream) with docs/HOWTOs/rsnapshot-HOWTO.en.md.
  * d/dirs: remove unnecessary directories that are created by dh_install.

 -- Mark Hindley <leepen@debian.org>  Wed, 29 Jan 2025 10:38:53 +0000

rsnapshot (1.4.5-3) unstable; urgency=medium

  * d/control:
    - bump Standards Version (no changes).
    - remove unnecessary udev build-dep. (Closes: #1060610)
  * d/rules: remove redundant workaround for reproducibility across
    (un)merged-/usr.
  * d/TODO: rename to use debhelper's expected names (lintian).
  * d/lintian-overrides: adjust to new lintian format.

 -- Mark Hindley <leepen@debian.org>  Tue, 14 May 2024 14:59:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Build-Depends-Indep: lvm2,
                      openssh-client | ssh-client,
                      rsync,
-                     udev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.rsnapshot.org/
 Vcs-Browser: https://salsa.debian.org/leepen/rsnapshot

=== debian/rules ===
--- 
+++ 
@@ -11,21 +11,11 @@
 	./autogen.sh
 	./configure
 
-# Specify paths to build reproducibly on merged usr systems
-override_dh_auto_configure:
-	dh_auto_configure -- \
-		CP=/bin/cp RM=/bin/rm \
-		LVCREATE=/sbin/lvcreate LVREMOVE=/sbin/lvremove \
-		MOUNT=/bin/mount UMOUNT=/bin/umount
-
 override_dh_install:
 	dh_install
 	# rename default configfile
 	mv $(CURDIR)/debian/rsnapshot/etc/rsnapshot.conf.default \
 	   $(CURDIR)/debian/rsnapshot/etc/rsnapshot.conf
-	# html doc, see debian/doc-base
-	cp $(CURDIR)/docs/HOWTOs/rsnapshot-HOWTO.en.html \
-	   $(CURDIR)/debian/rsnapshot/usr/share/doc/rsnapshot/html/
 
 override_dh_installexamples:
 	# Remove unnecessary extra license file, (Policy Manual section 12.5)

=== debian/tests/control ===
Tests: test.sh
Depends: @,
Restrictions: needs-root

=== debian/watch ===
version=4
 opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
     https://github.com/rsnapshot/rsnapshot/tags \
     (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
